For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account And Profile

Manage customer account details.

Retrieving a customer profile

get

Retrieves a customer profile.

Note: The request needs to be authorized with a customer access token or an anonymous access token.

Authorizations
AuthorizationstringRequired

To generate a customer access token, go to the Logging in a customer endpoint.

Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Query parameters
expandstringOptional

List of additional attributes to be retrieved, separated by commas. Possible value to be passed in this parameter is addresses. To expand mixins, use the * character: mixin:*.

Example: addresses,mixin:*
Responses
200

OK

application/json

Customer profile.

idstringOptional

Customer unique identifier generated when the customer profile is created.

customerNumberstringOptional

Customer unique number generated when the customer profile is created.

titlestringOptional
firstNamestringOptional
middleNamestringOptional
lastNamestringOptional
contactEmailstringOptional
contactPhonestringOptional
companystringOptional
preferredLanguagestringOptional

Customer preferred language.

Default: en_US
preferredCurrencystring · min: 3 · max: 3Optional

Customer's preferred currency, compliant with the ISO 4217 standard.

Default: USD
preferredSitestringOptional

Customer preferred site.

Default: main
businessModelstring · enumOptional

Property indicating business model of customer. When customer is assigned to any company then it is B2B. Otherwise it is B2C.

Possible values:
lastLoginstring · date-timeOptional

Customer last login date.

get/customer/{tenant}/me
GET /customer/{tenant}/me HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "title": "MR",
  "firstName": "John",
  "lastName": "Doe",
  "contactPhone": "123456789",
  "company": "Emporix",
  "preferredLanguage": "en_US",
  "preferredCurrency": "USD",
  "preferredSite": "default",
  "metadata": {
    "mixins": {},
    "version": 2
  },
  "mixins": {},
  "customerNumber": "13869000",
  "id": "13869000",
  "accounts": [
    {
      "id": "example@customer.com"
    }
  ],
  "contactEmail": "example@customer.com",
  "businessModel": "B2B",
  "b2b": {
    "companyRegistrationId": "123-456-789",
    "legalEntities": [
      {
        "id": "D165356",
        "name": "Emporix",
        "contactAssignmentId": "D436432"
      }
    ]
  }
}

Updating a customer profile

patch

Updates a customer profile.

Note: The request needs to be authorized with a customer access token.

Authorizations
AuthorizationstringRequired

To generate a customer access token, go to the Logging in a customer endpoint.

Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Body
titlestringOptional
firstNamestringOptional
middleNamestringOptional
lastNamestringOptional
contactPhonestringOptional
companystringOptional
preferredLanguagestringOptional

Customer preferred language.

Default: en_US
preferredCurrencystring · min: 3 · max: 3Optional

Customer's preferred currency, compliant with the ISO 4217 standard.

Default: USD
preferredSitestringOptional

Customer preferred site.

Default: main
contactEmailstringOptional

Contact email address. Cannot be unset once a value is present.

Responses
200

OK

No content

patch/customer/{tenant}/me
PATCH /customer/{tenant}/me HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "title": "MR",
  "firstName": "John",
  "lastName": "Doe",
  "contactEmail": "example@customer.com",
  "contactPhone": "123456789",
  "company": "Emporix",
  "preferredLanguage": "en_US",
  "preferredCurrency": "EUR",
  "preferredSite": "main",
  "b2b": {
    "companyRegistrationId": "123-456-789"
  },
  "metadata": {
    "version": 1
  }
}

No content

Last updated

Was this helpful?